Package org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

# Class Bulkhead1RetryManySyncClassBean

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.Bulkhead1RetryManySyncClassBean

@Bulkhead(1) @Retry(maxRetries=99999, maxDuration=3000L, delay=100L, jitter=0L) @ApplicationScoped public class Bulkhead1RetryManySyncClassBean extends Object
Tests to ensure that BulkheadExceptions are retried

Has a bulkhead size of 1

Retries on all exceptions for 3 seconds

## Constructor Summary

Constructors
Constructor
Description
`Bulkhead1RetryManySyncClassBean()`

## Method Summary

Modifier and Type
Method
Description
`void`
`test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Bulkhead1RetryManySyncClassBean

public Bulkhead1RetryManySyncClassBean()

## Method Details

### test

public void test(Barrier barrier)